Name: mailfront-plugin-check-helo
Summary: A mailfront plugin to provide an ability to reject, defer or add it's helo name checking results to message header
Version: 0.01
Release: 1%{?dist}
License: GPL
Group: Utilities/System
Source: http://choon.net/opensource/mailfront-plugin-check-helo-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gcc >= 3.4.6, make, bglibs-devel >= 1.104, mailfront-devel >= 1.12
Requires: bglibs >= 1.104, mailfront >= 1.12, ucspi-tcp >= 0.88
URL: http://choon.net/mailfront-plugin-check-helo.php

%description
Plugin: check-helo

This plugin provides an ability to reject, defer or add it's helo name
checking results to message header.

Reference:
http://www.linuxmagic.com/best_practices/valid_helo_domain.html

IMPORTANT: This plugin is written for and tested with mailfront 2.00
(might work with earlier version).

* If $RELAYCLIENT or $HELO_CHECK_SKIP is set, this plugin will be skipped.
* If sender is authenticated, this plugin will be skipped also.
* If $HELO_CHECK_REJECT is set, sender will be rejected with reply code 554.
* If $HELO_CHECK_DEFER is set, sender will be deferred with reply code 421.
* NOTE: $HELO_CHECK_REJECT take preference of $HELO_CHECK_DEFER.
* If $HELO_CHECK_PTR is set, this plugin will make sure the PTR record
  resolves to the same given helo name.  If this is not set, this plugin will
  only check for PTR record of the given helo name's IP exists.
* If $HELO_CHECK_REMOTEHOST is set, this plugin will check helo hostname and
  remotehost whether both are the same otherwise add headers or defer or
  reject accordingly.
* If all the mentioned variables not set and sender is not authenticated, this
  plugin will add it's helo name checking in each message header.


%prep
%setup -q
# conf-bgincs default is /usr/local/bglibs/include
# conf-bglibs default is /usr/local/bglibs/lib
# conf-ld default is gcc -s -L/usr/local/lib
echo "gcc -Wall -O2 -s -rdynamic" >conf-ld
# conf-mailfrontincs default is /usr/local/include/mailfront
echo %{_includedir}/mailfront > conf-mailfrontincs
# conf-modules default is /usr/local/lib/mailfront
echo %{_libdir}/mailfront > conf-modules
#echo "gcc %{optflags}" >conf-cc
# conf-ccso default is gcc -W -Wall -Wshadow -O -g -I/usr/local/include -fPIC -shared
#echo "gcc %{optflags} -fPIC -shared" >conf-ccso
#echo %{_bindir} >conf-bin
#echo %{_libdir}/mailfront >conf-modules
#echo %{_includedir} >conf-include

%build
make

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}/%{_libdir}/mailfront
install -m0755 plugin-check-helo.so %{buildroot}/%{_libdir}/mailfront/
#make install_prefix=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING CHANGES plugin-check-helo.html
#%{_bindir}/*
%{_libdir}/mailfront/plugin-check-helo.so

%changelog

* Fri May 24 2013 Giam Teck Choon <choonrpms@choon.net> - 0.01-1
- Initial Release
